Bug 998071 - lexar flash drive will not mount
lexar flash drive will not mount
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: udisks2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
: 998070 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 20:51 EDT by Herbert Carl Meyer
Modified: 2015-03-03 18:06 EST (History)
6 users (show)

See Also:
Fixed In Version: Fedora 20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:47:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tail of messages (1.81 KB, text/plain)
2013-08-16 20:51 EDT, Herbert Carl Meyer
no flags Details

  None (edit)
Description Herbert Carl Meyer 2013-08-16 20:51:07 EDT
Created attachment 787491 [details]
tail of messages

Description of problem:

lexar flash drive will not mount, others will

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. plug lexar flash drive
2. wait for drive to mount
3.

Actual results:

drive does not mount

Expected results:

mount popup on desktop

Additional info:

see attached file for tail of messages.

Most puzzling is error message:

systemd-udevd[166]: specified group 'cdrom' unknown

I have puzzled /usr/lib/udev/rules.d/80-udisks2.rules, found 3 lines about flash drives, for vendors kingston, SanDisk, HP. I tried writing a fragment for lexar, putting it in /etc/udev/rules.d/80-udisks3.rules, with no difference. The device does not mount, same messages.
Comment 1 Bill Nottingham 2013-08-19 14:50:42 EDT
*** Bug 998070 has been marked as a duplicate of this bug. ***
Comment 2 Tomáš Bžatek 2013-08-20 05:06:30 EDT
(In reply to Herbert Carl Meyer from comment #0)
> Most puzzling is error message:
> 
> systemd-udevd[166]: specified group 'cdrom' unknown

That might be a bogus message from udev trying to guess drive type, i.e. look at the mtp messages around.

I'm missing some information from the log, notably partition detection. Also, can you please attach output of the `udisksctl dump` command?
Comment 3 Herbert Carl Meyer 2014-02-15 13:27:44 EST
I finally found the missing flash drive in question, and the problem is fixed in F20. Follows the tail of demsg after plugging in the lexar:

[  158.051215] usb 1-1: new high-speed USB device number 5 using ehci-pci
[  158.168398] usb 1-1: New USB device found, idVendor=05dc, idProduct=a560
[  158.168413] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  158.168424] usb 1-1: Product: JD FIREFLY
[  158.168433] usb 1-1: Manufacturer: LEXAR MEDIA
[  158.168442] usb 1-1: SerialNumber: 5DD2BC06064237160906
[  158.316998] usb-storage 1-1:1.0: USB Mass Storage device detected
[  158.321489] scsi2 : usb-storage 1-1:1.0
[  158.322122] usbcore: registered new interface driver usb-storage
[  159.325899] scsi 2:0:0:0: Direct-Access     LEXAR    JD FIREFLY       3000 PQ: 0 ANSI: 0 CCS
[  159.331954] sd 2:0:0:0: Attached scsi generic sg1 type 0
[  159.335462] sd 2:0:0:0: [sdb] 3963904 512-byte logical blocks: (2.02 GB/1.88 GiB)
[  159.336471] sd 2:0:0:0: [sdb] Write Protect is off
[  159.336485] sd 2:0:0:0: [sdb] Mode Sense: 43 00 00 00
[  159.337625] sd 2:0:0:0: [sdb] No Caching mode page found
[  159.337640] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[  159.348772] sd 2:0:0:0: [sdb] No Caching mode page found
[  159.348785] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[  159.499620]  sdb: sdb1
[  159.506216] sd 2:0:0:0: [sdb] No Caching mode page found
[  159.506230] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[  159.506243] sd 2:0:0:0: [sdb] Attached SCSI removable disk
[  160.374500] SELinux: initialized (dev sdb1, type fuseblk), uses genfs_contexts

And the drive mounts.
Comment 4 Fedora End Of Life 2015-01-09 14:28:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:47:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.